- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsScene Class Reference
[COLLADA Document Object Model.]

A COLLADA physics scene. More...

`#include <FCDPhysicsScene.h>`

Inheritance diagram for FCDPhysicsScene:

List of all members.

## Public Member Functions
| FCDPhysicsScene (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDPhysicsScene ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
FCDPhysicsModelInstanceContainer & | GetPhysicsModelInstances ()
| Retrieves the physics model instances that are a part of this physics scene.
const FCDPhysicsModelInstanceContainer & | GetPhysicsModelInstances () const
| See above.
size_t | GetPhysicsModelInstancesCount () const
| Retrieves the number of physics model instances that are a part of this physics scene.
FCDPhysicsModelInstance * | GetPhysicsModelInstance (size_t index)
| Retrieves a specific physics model instance that is a part of tihs physics scene by index.
const FCDPhysicsModelInstance * | GetPhysicsModelInstance (size_t index) const
| See above.
FCDForceFieldInstanceContainer & | GetForceFieldInstances ()
| Retrieves the physics force field instances that are a part of this physics scene.
const FCDForceFieldInstanceContainer & | GetForceFieldInstances () const
| See above.
size_t | GetForceFieldInstancesCount () const
| Retrieves the number of physics force field instances that are a part of this physics scene.
FCDPhysicsForceFieldInstance * | GetForceFieldInstance (size_t index)
| Retrieves a specific physics force field instance that is a part of tihs physics scene by index.
const FCDPhysicsForceFieldInstance * | GetForceFieldInstance (size_t index) const
| See above.
FCDPhysicsModelInstance * | AddPhysicsModelInstance (FCDPhysicsModel *model=NULL)
| Adds an instantiated physics model to this physics model.
FCDPhysicsForceFieldInstance * | AddForceFieldInstance (FCDForceField *forceField=NULL)
| Adds an instantiated force field to this physics model.
const FMVector3 & | GetGravity () const
| Retrieves the gravity magnitude and direction as a 3 dimensional vector.
void | SetGravity (const FMVector3 &_gravity)
| Set the gravity magnitude and direction as a 3 dimensional vector.
const float & | GetTimestep () const
| Retrieves the integration time step, in seconds.
void | SetTimestep (float _timestep)
| Set the integration time step, in seconds.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the physics scene into a clone.
virtual void | CleanSubId ()
| [INTERNAL] Cleans up the sub identifiers.

## Detailed Description

A COLLADA physics scene.

A physics scene contains physics model instances that can run.

## Constructor & Destructor Documentation

FCDPhysicsScene::FCDPhysicsScene | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Create new physics scenes by using FCDocument::AddPhysicsScene function. Parameters:
  | document | The COLLADA document that contains this physics scene.

## Member Function Documentation

FCDPhysicsForceFieldInstance* FCDPhysicsScene::AddForceFieldInstance | ( | FCDForceField * | forceField = `NULL` | ) |

  | Adds an instantiated force field to this physics model. Parameters:
  | forceField | The force field to be instanced in this physics model.
Returns: The new force field instance.

FCDPhysicsModelInstance* FCDPhysicsScene::AddPhysicsModelInstance | ( | FCDPhysicsModel * | model = `NULL` | ) |

  | Adds an instantiated physics model to this physics model. Parameters:
  | model | The physics model to be instanced in this physics model. If this value is NULL, then there is no associated physics model for the instance yet. It should be filled in.
Returns: The new physics model instance.

virtual void FCDPhysicsScene::CleanSubId | ( |  | ) | `[virtual]`

| [INTERNAL] Cleans up the sub identifiers. The sub identifiers must be unique with respect to its parent. This method corrects the sub ids if there are conflicts.

virtual FCDEntity* FCDPhysicsScene::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the physics scene into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new physics scene will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

FCDPhysicsForceFieldInstance* FCDPhysicsScene::GetForceFieldInstance | ( | size_t | index | ) | `[inline]`

  | Retrieves a specific physics force field instance that is a part of tihs physics scene by index. Parameters:
  | index | The index of the physics force field instance.
Returns: The physics force field instance.

FCDForceFieldInstanceContainer& FCDPhysicsScene::GetForceFieldInstances | ( |  | ) | `[inline]`

| Retrieves the physics force field instances that are a part of this physics scene. Returns: The physics force fieldinstances.

size_t FCDPhysicsScene::GetForceFieldInstancesCount | ( |  | ) | const`[inline]`

| Retrieves the number of physics force field instances that are a part of this physics scene. Returns: The number of physics force field instances.

const FMVector3& FCDPhysicsScene::GetGravity | ( |  | ) | const`[inline]`

| Retrieves the gravity magnitude and direction as a 3 dimensional vector. Returns: The gravity.

FCDPhysicsModelInstance* FCDPhysicsScene::GetPhysicsModelInstance | ( | size_t | index | ) | `[inline]`

  | Retrieves a specific physics model instance that is a part of tihs physics scene by index. Parameters:
  | index | The index of the physics model instance.
Returns: The physics model instance.

FCDPhysicsModelInstanceContainer& FCDPhysicsScene::GetPhysicsModelInstances | ( |  | ) | `[inline]`

| Retrieves the physics model instances that are a part of this physics scene. Returns: The physics model instances.

size_t FCDPhysicsScene::GetPhysicsModelInstancesCount | ( |  | ) | const`[inline]`

| Retrieves the number of physics model instances that are a part of this physics scene. Returns: The number of physics model instances.

const float& FCDPhysicsScene::GetTimestep | ( |  | ) | const`[inline]`

| Retrieves the integration time step, in seconds. Returns: The time step.

virtual Type FCDPhysicsScene::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity interface. Returns: The entity type: PHYSICS_SCENE_NODE. Reimplemented from FCDEntity.

void FCDPhysicsScene::SetGravity | ( | const FMVector3 & | _gravity | ) | `[inline]`

  | Set the gravity magnitude and direction as a 3 dimensional vector. Parameters:
  | _gravity | The gravity.

void FCDPhysicsScene::SetTimestep | ( | float | _timestep | ) | `[inline]`

  | Set the integration time step, in seconds. Parameters:
  | _timestep | The time step.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsScene.h